Bug 1543269 - CVE-2018-6789 exim: Buffer overflow in utility function, when pre-conditions are met, can lead to remote code execution [epel-all]
CVE-2018-6789 exim: Buffer overflow in utility function, when pre-conditions ...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: exim (Show other bugs)
epel7
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 1544567 (view as bug list)
Depends On:
Blocks: CVE-2018-6789
  Show dependency treegraph
 
Reported: 2018-02-08 01:08 EST by Sam Fowler
Modified: 2018-03-06 12:32 EST (History)
6 users (show)

See Also:
Fixed In Version: exim-4.90.1-2.el7 exim-4.90.1-2.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-06 12:30:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Fowler 2018-02-08 01:08:40 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
Comment 1 Sam Fowler 2018-02-08 01:08:44 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1543268,1543269

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Jaroslav Škarvada 2018-02-13 08:57:07 EST
*** Bug 1544567 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2018-02-14 10:53:32 EST
exim-4.90.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-097b4381c7
Comment 4 Fedora Update System 2018-02-14 11:01:58 EST
exim-4.90.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d04c4b7f23
Comment 5 Fedora Update System 2018-02-14 12:46:49 EST
exim-4.90.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-097b4381c7
Comment 6 Ruben Püttmann 2018-02-15 08:37:43 EST
hi,

it failed while using mysql module:

exim-4.90.1-1.el7.x86_64
exim-mon-4.90.1-1.el7.x86_64
exim-mysql-4.90.1-1.el7.x86_64

2018-02-15 14:36:53 Error loading lookup module mysql.so: NULL


mailq | wc -l
Error loading mysql.so: /usr/lib64/exim/4.90.1-1.el7/lookups/mysql.so: undefined symbol: mysql_query
2018-02-15 14:37:08 Error loading lookup module mysql.so: NULL

looks broken for me
Comment 7 Ruben Püttmann 2018-02-15 09:08:27 EST
I try to rebuild the package and could see 

>>> Creating links to source files...
>>> Creating lookups/Makefile for building dynamic modules
Package mariadb was not found in the pkg-config search path.
Perhaps you should add the directory containing `mariadb.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mariadb' found
Package mariadb was not found in the pkg-config search path.
Perhaps you should add the directory containing `mariadb.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mariadb' found
>>> New Makefile & lookups/Makefile installed
>>> Use "make makefile" if you need to force rebuilding of the makefile
Comment 8 Fedora Update System 2018-02-15 09:48:37 EST
exim-4.90.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d04c4b7f23
Comment 9 Jaroslav Škarvada 2018-02-16 05:11:45 EST
(In reply to Ruben Püttmann from comment #7)
> I try to rebuild the package and could see 
> 
> >>> Creating links to source files...
> >>> Creating lookups/Makefile for building dynamic modules
> Package mariadb was not found in the pkg-config search path.
> Perhaps you should add the directory containing `mariadb.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'mariadb' found
> Package mariadb was not found in the pkg-config search path.
> Perhaps you should add the directory containing `mariadb.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'mariadb' found
> >>> New Makefile & lookups/Makefile installed
> >>> Use "make makefile" if you need to force rebuilding of the makefile

Hmm strange, I will take a look.
Comment 10 Fedora Update System 2018-02-16 11:51:14 EST
exim-4.90.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-87b20f1b26
Comment 11 Fedora Update System 2018-02-16 11:56:29 EST
exim-4.90.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-276ec6ee2b
Comment 12 Jaroslav Škarvada 2018-02-16 11:57:29 EST
(In reply to Jaroslav Škarvada from comment #9)
> (In reply to Ruben Püttmann from comment #7)
> > I try to rebuild the package and could see 
> > 
> > >>> Creating links to source files...
> > >>> Creating lookups/Makefile for building dynamic modules
> > Package mariadb was not found in the pkg-config search path.
> > Perhaps you should add the directory containing `mariadb.pc'
> > to the PKG_CONFIG_PATH environment variable
> > No package 'mariadb' found
> > Package mariadb was not found in the pkg-config search path.
> > Perhaps you should add the directory containing `mariadb.pc'
> > to the PKG_CONFIG_PATH environment variable
> > No package 'mariadb' found
> > >>> New Makefile & lookups/Makefile installed
> > >>> Use "make makefile" if you need to force rebuilding of the makefile
> 
> Hmm strange, I will take a look.

Please check exim-4.90.1-1.el7 which should fix the issue.
Comment 13 Ruben Püttmann 2018-02-16 16:55:37 EST
exim-4.90.1-2 looks much better thx
Comment 14 Fedora Update System 2018-02-17 17:28:52 EST
exim-4.90.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-87b20f1b26
Comment 15 Fedora Update System 2018-02-17 17:29:41 EST
exim-4.90.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-276ec6ee2b
Comment 16 Ruben Püttmann 2018-02-28 07:59:22 EST
exim-4.90.1-2.el7 is still only in epel-testing..
How long must we wait to get the security fix in epel?
Comment 17 Fedora Update System 2018-03-06 12:30:59 EST
exim-4.90.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2018-03-06 12:32:18 EST
exim-4.90.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.